# $Revision: 1.25 $, $Date: 2010/04/12 19:24:15 $
# TODO: smart .init/.sysconfig, maybe a default configuration
#
Summary:	Console server
Summary(pl.UTF-8):	Serwer konsoli
Name:		conserver
Version:	8.1.16
Release:	2
License:	BSD-like
Group:		Daemons
Source0:	http://www.conserver.com/%{name}-%{version}.tar.gz
# Source0-md5:	2364ba56f5201b07646bdfaefedd330b
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.pam
Patch0:		%{name}-locks.patch
URL:		http://www.conserver.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/conserver

%description
Conserver is an application that allows multiple users to watch a
serial console at the same time. It can log the data, allows users to
take write-access of a console (one at a time), and has a variety of
bells and whistles to accentuate that basic functionality.

%description -l pl.UTF-8
Conserver jest aplikacją, która umożliwia kilku użytkownikom naraz
oglądać logi na konsoli szeregowej. Może zapisywać zebrane dane,
pozwalać użytkownikom na pełne korzystanie z konsoli (ale tylko
jednemu naraz), oraz posiada mnóstwo dodatków rozszerzających tę
podstawową funkcjonalność.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-master=localhost \
	--with-port=782 \
	--with-extmsgs \
	--with-libwrap \
	--with-openssl \
	--with-pam
#	--with-uds
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,conserver,pam.d} \
	$RPM_BUILD_ROOT/var/log/{conserver.d,archive/conserver.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/examples/conserver examples

install examples/conserver.cf $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/conserver.passwd
touch $RPM_BUILD_ROOT%{_sysconfdir}/console.cf

rm -f examples/conserver.rc
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/conserver
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/conserver
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/conserver
install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/conserver

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add conserver
%service conserver restart "conserver daemon"

%preun
if [ "$1" = "0" ]; then
	%service conserver stop
	/sbin/chkconfig --del conserver
fi

%files
%defattr(644,root,root,755)
%doc CHANGES FAQ README TODO examples LICENSE
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/conserver
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/conserver
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(750,root,root) %dir /var/log/conserver.d
%attr(750,root,root) %dir /var/log/archive/conserver.d
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man*/*


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conserver.spec,v $
Revision 1.25  2010/04/12 19:24:15  arekm
- release 2

Revision 1.24  2007/09/11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.23  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.22  2007/06/20 09:44:17  arekm
- up to 8.1.16 by zagrodzki

Revision 1.21  2007/04/02 17:29:46  baggins
- more s|/var/log/archiv|/var/log/archive|g

Revision 1.20  2007/04/02 16:55:17  baggins
- s|/var/log/archiv|/var/log/archive|g

Revision 1.19  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.17  2007/01/19 23:34:49  arekm
- set port number to 782; add pam config

Revision 1.16  2007/01/19 21:39:03  arekm
- up to 8.1.15

Revision 1.15  2006/05/21 15:43:19  glen
- rel 2

Revision 1.14  2006/02/24 15:20:04  glen
- use %service

Revision 1.13  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.12  2005/10/28 10:51:46  arekm
- up to 8.1.12

Revision 1.11  2004/11/30 22:00:05  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.10  2004/11/12 20:28:40  darekr
- jajks, it's v. 8.1.11

Revision 1.9  2004/11/12 20:23:14  darekr
- updated to 8.1.10

Revision 1.8  2004/11/10 13:32:59  paladine
- cosmetics

Revision 1.7  2004/08/06 22:27:23  zagrodzki
- added patch0 (locks)
- rel 2

Revision 1.6  2004/07/17 21:14:25  arekm
- add some configuration files

Revision 1.5  2004/07/17 21:01:34  arekm
- updated to 8.1.9; enabled ssl/libwrap/pam

Revision 1.4  2004/02/16 19:57:49  eothane
- up to 8.1.1

Revision 1.3  2004/02/02 16:31:59  zagrodzki
- added sysconfig, init, logrotate, pre/post scripts

Revision 1.2  2004/01/28 13:51:24  qboosh
- cleanups, BRs

Revision 1.1  2004/01/28 11:03:08  zagrodzki
- initial release
- TODO: smart .init/.sysconfig, maybe a default configuration
